Get hotel
curl --request GET \
--url https://spaportal.cz/api/v1/hotels/{hotelId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://spaportal.cz/api/v1/hotels/{hotelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spaportal.cz/api/v1/hotels/{hotelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "66f16191f739705faa020002",
"id": 1,
"name": "Pawlik",
"stars": 4,
"phone_number": "+420 354 201 111",
"email": {
"cs_CZ": "info@frantiskovylazne.cz",
"de": "info@franzensbad.cz"
},
"description": {
"cs_CZ": "Kralovska vila mesta Frantiskovy Lazne uprostred lazenskeho parku.",
"de": "Die Koenigsvilla Franzensbads im Zentrum der Stadt."
},
"equipment": {
"cs_CZ": "Hotel je vybaven moderni saunou.",
"de": "Hotel hat eine Sauna."
},
"services": {
"cs_CZ": "Kuryri sluzby v cene pobytu.",
"de": "DHL included."
},
"lowest_price": {
"cs_CZ": {
"amount_per_night": 1024.5,
"original_amount_per_night": 1205.29,
"currency": "CZK"
},
"de": {
"amount_per_night": 40,
"original_amount_per_night": 47.06,
"currency": "EUR"
}
},
"commercial_slogan": {
"cs_CZ": "Buy it or leave it.",
"de": ""
},
"image": "https://spaportal-files.s3.eu-central-1.amazonaws.com/production/hotels/example/pawlik.jpg",
"thumbnail": "https://spaportal-files.s3.eu-central-1.amazonaws.com/production/thumbnails/hotels/example/pawlik.webp",
"booking_url": {
"cs_CZ": "https://rezervace.frantiskovylazne.cz?hotel=Pawlik",
"de": "https://reservierung.franzensbad.cz?hotel=Pawlik"
},
"destination": {
"_id": "66f16191f739705faa020001",
"id": 1,
"name": {
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
},
"address": {
"address_line": "Dr. Pohoreckeho 22",
"city": "Frantiskovy Lazne",
"postal_code": "351 01",
"country_code": "CZE"
},
"roomTypes": [
{
"_id": "66f16191f739705faa020003",
"id": 1,
"category": {
"cs_CZ": "Prezidentske apartma",
"de": "App. Aquaforum"
},
"facilities": [
"shower",
"toilet",
"bath"
],
"beds": 2,
"image": "https://spaportal-files.s3.eu-central-1.amazonaws.com/production/rooms/example/room.jpg",
"thumbnail": "https://spaportal-files.s3.eu-central-1.amazonaws.com/production/thumbnails/rooms/example/room.webp",
"booking_url": {
"cs_CZ": "https://rezervace.frantiskovylazne.cz?hotel=Pawlik&roomType=APPARTEMENT",
"de": "https://reservierung.franzensbad.cz?hotel=Pawlik&roomType=APPARTEMENT"
},
"description": {
"cs_CZ": "Pokoj s koupelnou, sprchou, WC a fenem.",
"de": "Luxurioeses Appartement."
},
"lowest_price": {
"cs_CZ": {
"amount_per_night": 1024.5,
"original_amount_per_night": 1205.29,
"currency": "CZK"
},
"de": {
"amount_per_night": 40,
"original_amount_per_night": 47.06,
"currency": "EUR"
}
}
}
]
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}Catalog
Get hotel
Returns one hotel by ID.
The lowest_price semantics match GET /hotels: the value is a per-night, per-guest display price for the cheapest matching room.
GET
/
hotels
/
{hotelId}
Get hotel
Authorizations
bearerAuthaccessTokenQuery
See Authentication for how to obtain and send your API key.
Headers
Comma-separated list of languages to include. See Localization for details.
Example:
"cs_CZ,de"
Path Parameters
Hotel ID.
Query Parameters
Filter room and price data by visit type ID.
Start date in YYYY-MM-DD format.
End date in YYYY-MM-DD format.
Response
Hotel detail.
Object id (24-character hex string) for the same entity.
Pattern:
^[0-9a-fA-F]{24}$Example:
"66f16191f739705faa020001"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
Show child attributes
Show child attributes
Example:
{
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
Show child attributes
Show child attributes
Example:
{
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
Show child attributes
Show child attributes
Example:
{
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
Show child attributes
Show child attributes
Example:
{
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes